CREATE TABLE schedules (
    id INT AUTO_INCREMENT PRIMARY KEY,
    day VARCHAR(20) NOT NULL,   -- e.g., 'Day-01', 'Day-02'
    date DATE NOT NULL,         -- The actual date of the event
    time VARCHAR(20) NOT NULL,  -- Time range of the event, e.g., '10AM - 12PM'
    activity VARCHAR(255) NOT NULL, -- The name of the activity or event
    subject VARCHAR(255),       -- Subject or additional information (if applicable)
    venue VARCHAR(255) NOT NULL -- Venue where the event is held
);
