<?php
// Database connection
require 'conn.php'; // Adjust the path as necessary

// Fetch participant details
$query = "SELECT * FROM coordconf";
$stmt = $conn->prepare($query);
$stmt->execute();
$participants = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Include Bootstrap CSS if not already included in your layout
echo '<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">';

// Display download links with styled buttons
foreach ($participants as $participant) {
    $participantName = htmlspecialchars($participant['fullname']);
    $certificateUrl = 'generate_certificate.php?id=' . htmlspecialchars($participant['id']);
    
    echo '
    <div class="mb-2">
        <a href="' . $certificateUrl . '" target="_blank" class="btn btn-primary btn-lg">
            Download Certificate for ' . $participantName . '
        </a>
    </div>';
}
?>
