<?php
include 'conn.php'; // Include database connection

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = $_POST['name'];
    $logo_path = $_POST['logo_path'];
    $website_url = $_POST['website_url'];
    $email = $_POST['email'];
    $phone_number = $_POST['phone_number'];
    $description = $_POST['description'];

    // Insert the data into the mysponsors table
    $stmt = $conn->prepare("INSERT INTO mysponsors (name, logo_path, website_url, email, phone_number, description) VALUES (?, ?, ?, ?, ?, ?)");
    $stmt->execute([$name, $logo_path, $website_url, $email, $phone_number, $description]);

    if ($stmt) {
        echo json_encode(['status' => 'success', 'message' => 'Thank you for becoming a sponsor!']);
    } else {
        echo json_encode(['status' => 'error', 'message' => 'Failed to submit your sponsorship details.']);
    }
}
?>
