<?php
// Include your existing database connection file
include 'conn.php'; // Ensure this path is correct based on your project structure

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    $name = $_POST['name'];
    $title = $_POST['title'];
    $bio = $_POST['bio'];
    $facebook_link = $_POST['facebook_link'];
    $twitter_link = $_POST['twitter_link'];
    $linkedin_link = $_POST['linkedin_link'];

    // Handling file upload
    $image = $_FILES['image']['name'];
    $target_dir = "speakers/";
    $target_file = $target_dir . basename($image);

    // Ensure the upload directory exists
    if (!file_exists($target_dir)) {
        mkdir($target_dir, 0777, true);
    }

    // Move the uploaded file to the target directory
    if (move_uploaded_file($_FILES['image']['tmp_name'], $target_file)) {
        // Insert into database
        $sql = "INSERT INTO confspeakers (name, title, image, bio, facebook_link, twitter_link, linkedin_link) 
                VALUES (?, ?, ?, ?, ?, ?, ?)";
        $stmt = $conn->prepare($sql);

        try {
            $stmt->execute([$name, $title, $target_file, $bio, $facebook_link, $twitter_link, $linkedin_link]);
            echo "Speaker uploaded successfully!";
        } catch (PDOException $e) {
            echo "Database error: " . $e->getMessage();
        }
    } else {
        echo "Error uploading file.";
    }
}
?>