CREATE TABLE `coordconf` (
    `id` INT(11) AUTO_INCREMENT PRIMARY KEY,
    `fullname` VARCHAR(255) NOT NULL,
    `region` VARCHAR(255) NOT NULL,
    `gender` ENUM('Male', 'Female') NOT NULL,
    `position` VARCHAR(255) NOT NULL,
    `amount_paid` DECIMAL(10, 2) NOT NULL,
    `phone_number` VARCHAR(20) NOT NULL,
    `province` VARCHAR(255) NOT NULL,
    `registration_number` VARCHAR(255) UNIQUE,
    `created_at` TIMESTAMP DEFAULT CURRENT_TIMESTAMP
);
