CREATE TABLE event_schedules (
    id INT AUTO_INCREMENT PRIMARY KEY,
    event_name VARCHAR(255) NOT NULL,
    schedule_date DATE NOT NULL,
    start_time TIME NOT NULL,
    end_time TIME NOT NULL,
    description TEXT,
    venue VARCHAR(255) NOT NULL,
    day_label VARCHAR(50) NOT NULL, -- Label for the day (e.g., "Day-01")
    activity VARCHAR(255) NOT NULL, -- Specific activity or subject of the event
    subject VARCHAR(255) -- The subject or category of the event
);
