-- Create the price_table
CREATE TABLE IF NOT EXISTS price_table (
    id INT AUTO_INCREMENT PRIMARY KEY,
    title VARCHAR(255) NOT NULL,
    price DECIMAL(10, 2) NOT NULL,
    features TEXT NOT NULL,
    button_url VARCHAR(255) NOT NULL,
    button_text VARCHAR(255) NOT NULL
);

-- Insert sample data into price_table
INSERT INTO price_table (title, price, features, button_url, button_text) VALUES
('VIRTUAL - PREMIUM', 25000.00, 'Conference Access Tag,Certification,Conference Materials,Feeding,Accommodation', 'https://flutterwave.com/pay/virtualconf', 'Buy a ticket'),
('PHYSICAL - SUPREME', 50000.00, 'Conference Access Tag,Certification,Feeding,Conference Materials,Accommodation', 'https://flutterwave.com/pay/physicalticket', 'Buy a ticket'),
('OTHERS', 50000.00, 'Conference Access Tag,Certification,Feeding,Conference Materials,Accommodation', 'https://flutterwave.com/pay/physicalticket', 'Buy a ticket');
