<!DOCTYPE html>


<html lang="en">

<head>

    <!-- Basic Page Needs
  ================================================== -->
    <meta charset="utf-8">
    <title>DTCE Junior Church Co-ordinators Conference </title>

    <!-- Mobile Specific Metas
  ================================================== -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="DTCE Junior Church Co-ordinators Conference">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0">
    <meta name="author" content="DTCE Junior Church Co-ordinators Conference">
    <meta name="generator" content="Hi-Dev Solutions">

    <!-- PLUGINS CSS STYLE -->
    <!-- Bootstrap -->
    <link href="pluginsconf/bootstrap/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="pluginsconf/font-awsome/css/font-awesome.min.css" rel="stylesheet">
    <!-- Magnific Popup -->
    <link href="pluginsconf/magnific-popup/magnific-popup.css" rel="stylesheet">
    <!-- Slick Carousel -->
    <link href="pluginsconf/slick/slick.css" rel="stylesheet">
    <link href="pluginsconf/slick/slick-theme.css" rel="stylesheet">
    <!-- CUSTOM CSS -->
    <link href="cssconf/style.css" rel="stylesheet">


    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <!-- Font Awesome -->
    <!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css"> -->


    <!-- FAVICON -->
    <link href="imagesconf/icon2.png" rel="shortcut icon">
    <style>
    .description-two {
        text-align: left;
        padding: 10px;
    }

    .description-one {
        text-align: left;
        padding: 10px;
    }

    .numbered-list {
        list-style-type: none;
        /* Remove default bullets or numbering */
        padding-left: 0;
        counter-reset: list-counter;
        /* Initialize the counter */
    }

    .numbered-list li {
        position: relative;
        padding-left: 30px;
        /* Space for custom numbering */
        margin-bottom: 10px;
        counter-increment: list-counter;
        /* Increment the counter */
    }

    .numbered-list li::before {
        content: counter(list-counter) ". ";
        /* Add custom numbering */
        position: absolute;
        left: 0;
        font-weight: bold;
    }

    /* Container for speaker images */
    .speaker-slider {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        gap: 15px;
    }

    .speaker-image {
        position: relative;
        overflow: hidden;
        /* Ensure content does not overflow */
        max-height: 413px;
        /* Adjust as needed */
        margin: 15px;
    }

    .speaker-image img {
       
        /* Make image responsive */
        height: auto;
        /* Maintain aspect ratio */
        object-fit: cover;
        /* Cover the container without distortion */
    }

    .primary-overlay {
        position: absolute;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba(0, 0, 0, 0.5);
        /* Overlay background */
        color: #fff;
        padding: 10px;
    }

    .primary-overlay h5,
    .primary-overlay p {
        margin: 0;
    }

    #whatsapp-icon {
        position: fixed;
        bottom: 20px;
        right: 20px;
        background-color: #25D366;
        /* WhatsApp green */
        color: white;
        padding: 15px;
        border-radius: 50%;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
        font-size: 24px;
        text-align: center;
        z-index: 1000;
        transition: transform 0.3s ease;
    }

    #whatsapp-icon {
        position: fixed;
        bottom: 20px;
        right: 20px;
        background-color: #25D366;
        /* WhatsApp green */
        color: white;
        padding: 15px;
        border-radius: 50%;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.3);
        font-size: 24px;
        text-align: center;
        z-index: 1000;
        overflow: hidden;
        /* Ensure ripple effect doesn't overflow the button */
        transition: transform 0.3s ease;
    }


    #whatsapp-icon:hover {
        transform: scale(1.1);
    }

    /* Ripple Effect */
    #whatsapp-icon .ripple {
        position: absolute;
        border-radius: 50%;
        background: rgba(255, 255, 255, 0.3);
        width: 100px;
        height: 100px;
        pointer-events: none;
        transform: scale(0);
        animation: ripple-animation 0.6s linear;
        z-index: 1;
        /* Ensure ripple is above the button */
    }

    @keyframes ripple-animation {
        to {
            transform: scale(4);
            opacity: 0;
        }
    }
    .pagination .page-item.active .page-link {
            background-color: #007bff;
            border-color: #007bff;
        }
        .pagination .page-link {
            color: #007bff;
        }
        .date {
    text-align: center;
}

.date h4 {
    font-size: 2rem; /* Adjust size as needed */
    margin: 0;
}

.date span {
    display: block;
    font-size: 1rem; /* Adjust size as needed */
}
<style>
        .bg-about {
            background-color: #f4f4f4; /* Adjust as needed */
        }
    </style>

    </style>
</head>

<body class="body-wrapper">


    <!--========================================
=            Navigation Section            =
=========================================-->
    <nav class="navbar main-nav border-less fixed-top navbar-expand-lg p-0">
        <div class="container-fluid p-0">
            <!-- logo -->
            <a class="navbar-brand" href="index-2.html">
                <img src="imagesconf/dtce.png" alt="logo" width="150px">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="fa fa-bars"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto">
                    <li class="nav-item dropdown active">
                        <a class="nav-link" href="#">Home <i class=""></i>

                        </a>

                    </li>
                    <li class="nav-item">
                        <a id="about" class="nav-link" href="#ABSection">About
                        </a>
                    </li>
                    <li class="nav-item">
                        <a id="Speakers" class="nav-link" href="#SPSection">Speakers
                        </a>
                    </li>

                    <li class="nav-item">
                        <a id="Speakers" class="nav-link" href="#SCHSection">Schedule
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="#GASection">Gallery
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" href="#SPSSection">Sponsors
                        </a>
                    </li>


                    <li class="nav-item">
                        <a class="nav-link" href="#COSection">Contact
                        </a>
                    </li>


                </ul>
                <a href="#TISection" class="ticket">

                    <span style="color: #007bff">GET TICKET NOW</span>
                </a>
            </div>
        </div>
    </nav>

    <!--====  End of Navigation Section  ====-->


    <!--============================
=            Banner            =
=============================-->
<?php
include ('conn.php');
// Fetch data from the database
$query = "SELECT * FROM main_header LIMIT 1";
$stmt = $conn->prepare($query);
$stmt->execute();
$headerData = $stmt->fetch(PDO::FETCH_ASSOC);

// Set default values with HTML tags as raw HTML where needed
$mainHeading = !empty($headerData['main_heading']) ? htmlspecialchars($headerData['main_heading']) : '2024 ANNUAL RCCG JUNIOR CHURCH CO-ORDINATORS CONFERENCE';
$editionHeading = !empty($headerData['edition_heading']) ? $headerData['edition_heading'] : '11<sup>TH</sup> EDITION'; // Raw HTML allowed here
$themeHeading = !empty($headerData['theme_heading']) ? htmlspecialchars($headerData['theme_heading']) : 'Theme: Be Prepared (Matthew 25 : 1-13)';
$dateHeading = !empty($headerData['date_heading']) ? htmlspecialchars($headerData['date_heading']) : 'Date: Thursday 3rd - Saturday 5th October 2024';
$registerButtonText = !empty($headerData['register_button_text']) ? htmlspecialchars($headerData['register_button_text']) : 'Register Now';
$registerButtonUrl = !empty($headerData['register_button_url']) ? htmlspecialchars($headerData['register_button_url']) : '#';
$loginButtonText = !empty($headerData['login_button_text']) ? htmlspecialchars($headerData['login_button_text']) : 'Login';
$loginButtonUrl = !empty($headerData['login_button_url']) ? htmlspecialchars($headerData['login_button_url']) : '#';
?>

<section class="banner bg-banner-one overlay" style="background-image: url('<?= htmlspecialchars($headerData['banner_image']) ?>');">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <!-- Content Block -->
                <div class="block">
                    <h1 class="main-heading" style="color: white;"><b><?= $mainHeading ?></b></h1>
                    <h1 class="edition-heading" style="color: white;"><b><?= $editionHeading ?></b></h1><br>
                    <h5 class="theme-heading" style="color: white;"><?= $themeHeading ?></h5><br>
                    <h6 class="date-heading"><?= $dateHeading ?></h6>

                    <!-- Action Buttons -->
                    <ul class="list-inline">
                        <li class="list-inline-item">
                            <a id="ABSection" href="<?= $registerButtonUrl ?>" class="btn btn-white-md"><?= $registerButtonText ?></a>
                        </li>
                        <li class="list-inline-item">
                            <a id="SPSection" href="<?= $loginButtonUrl ?>" target="_blank" class="btn btn-main-md"><?= $loginButtonText ?></a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>


    <!--====  End of Banner  ====-->

    <!--===========================
=            About            =
============================-->

<?php
// Include the database connection
include 'conn.php';

// Fetch the about section data
$query = "SELECT * FROM about LIMIT 1"; // Assuming there's only one entry or you want the first one
$stmt = $conn->prepare($query);
$stmt->execute();
$about = $stmt->fetch(PDO::FETCH_ASSOC);

// Check if there's any about data
if ($about):
?>
<section class="section about">
    <div class="container">
        <div class="row">
            <div class="col-lg-5 col-md-6 align-self-center">
                <div class="image-block two bg-about">
                    <img class="img-fluid" src="<?= htmlspecialchars($about['image_path']) ?>" alt="">
                </div>
            </div>
            <div class="col-lg-6 col-md-6 align-self-center ml-lg-auto">
                <div class="content-block">
                    <h2>About The <span class="alternate">Conference</span></h2>
                    <div class="description-one">
                        <p><?= htmlspecialchars($about['description_one']) ?></p>
                    </div>
                    <div class="description-two">
                        <p><strong>What is our Goal:</strong></p>
                        <ul class="numbered-list">
                            <?php
                            // Replace <br> tags with commas for splitting and then use those to create list items
                            $goalList = explode('<br>', $about['goal_list']);
                            foreach ($goalList as $index => $goal): ?>
                                <li><?= htmlspecialchars(trim($goal)) ?></li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <ul class="list-inline">
                        <?php if ($about['show_buy_ticket']): ?>
                            <li class="list-inline-item">
                                <a href="<?= htmlspecialchars($about['buy_ticket_url']) ?>" class="btn btn-main-md">Buy ticket</a>
                            </li>
                        <?php endif; ?>
                        <?php if ($about['show_become_sponsor']): ?>
                            <li class="list-inline-item">
                                <a href="<?= htmlspecialchars($about['become_sponsor_url']) ?>" target="_blank" class="btn btn-transparent-md">Become a Sponsor</a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>
<?php
endif;
?>

    <!--====  End of About  ====-->
    <p id="SSection"></p>
    <section class="speakers-full-width">
        <div class="container-fluid p-0">
            <div class="section-title">
                <h3>Our Conference <span class="alternate">Speakers</span></h3>
            </div>
            <div class="row">
                <div class="col-12">
                    <!-- Speaker Slider -->
                    <div class="speaker-slider">
                        <?php
                    include('conn.php');

                    // Define the default image path
                    $default_image = 'https://www.pngkey.com/detail/u2w7e6a9e6i1t4r5_rccg-logo-redeemed-christian-church-logo/'; // Update this path to the actual location of your default image
                    
                    // Fetch speakers from database
                    $stmt = $conn->query("SELECT * FROM confspeakers");
                    $speakers = $stmt->fetchAll();

                    if (empty($speakers)) {
                        // No speakers found
                        echo '<div class="no-speakers-message text-center">No Speakers found for this event</div>';
                    } else {
                        foreach ($speakers as $speaker) {
                            // Check if speaker has an image
                            $image_path = !empty($speaker['image']) && file_exists($speaker['image']) ? $speaker['image'] : $default_image;
                    ?>
                        <div class="speaker-image position-relative">
                            <img src="<?php echo $image_path; ?>"  alt="speaker">
                            <div class="primary-overlay text-center">
                                <h5><b><?php echo htmlspecialchars($speaker['name']); ?></b></h5>
                                <p><?php echo htmlspecialchars($speaker['title']); ?></p>
                                <ul class="list-inline">
                                    <?php if (!empty($speaker['facebook_link'])) { ?>
                                    <li class="list-inline-item"><a
                                            href="<?php echo htmlspecialchars($speaker['facebook_link']); ?>"
                                            target="_blank"><i class="fa fa-facebook"></i></a></li>
                                    <?php } ?>
                                    <?php if (!empty($speaker['twitter_link'])) { ?>
                                    <li class="list-inline-item"><a
                                            href="<?php echo htmlspecialchars($speaker['twitter_link']); ?>"
                                            target="_blank"><i class="fa fa-twitter"></i></a></li>
                                    <?php } ?>
                                    <?php if (!empty($speaker['linkedin_link'])) { ?>
                                    <li class="list-inline-item"><a
                                            href="<?php echo htmlspecialchars($speaker['linkedin_link']); ?>"
                                            target="_blank"><i class="fa fa-instagram"></i></a></li>
                                    <?php } ?>
                                </ul>
                                <button class="btn btn-primary" data-toggle="modal"
                                    data-target="#speakerModal<?php echo $speaker['id']; ?>">View Biography</button>
                            </div>
                        </div>

                        <!-- Speaker Modal -->
                        <div class="modal fade" id="speakerModal<?php echo $speaker['id']; ?>" tabindex="-1"
                            role="dialog" aria-labelledby="speakerModalLabel<?php echo $speaker['id']; ?>"
                            aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="speakerModalLabel<?php echo $speaker['id']; ?>">
                                            <?php echo htmlspecialchars($speaker['name']); ?></h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <img src="<?php echo $image_path; ?>" alt="speaker" class="img-fluid mb-3">
                                        <p><?php echo nl2br(htmlspecialchars($speaker['bio'])); ?></p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php 
                        }
                    } 
                    ?>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <p id="SCHSection"></p>

    <!--==============================
=            Schedule            =
===============================-->
    <?php
include 'conn.php'; // Database connection

// Fetch schedules from the database
$stmt = $conn->prepare("SELECT * FROM event_schedules ORDER BY schedule_date, start_time");
$stmt->execute();
$schedules = $stmt->fetchAll();

// Group events by day
$scheduleByDay = [];
foreach ($schedules as $schedule) {
    $dayLabel = $schedule['day_label'];
    if (!isset($scheduleByDay[$dayLabel])) {
        $scheduleByDay[$dayLabel] = [];
    }
    $scheduleByDay[$dayLabel][] = $schedule;
}
?>




    <!-- Schedule Section -->
    <section class="section schedule two">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="section-title">
                        <h3>Event <span class="alternate">Schedule</span></h3>
                        <p>Check out our comprehensive schedule of talks, workshops, and networking events to plan your
                            experience.</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-2">
                    <div class="schedule-tab">
                        <ul class="nav nav-pills text-center">
                            <?php $firstDay = true; ?>
                            <?php foreach ($scheduleByDay as $dayLabel => $events): ?>
                            <li class="nav-item">
                                <a class="nav-link <?= $firstDay ? 'active' : '' ?>"
                                    href="#<?= strtolower(str_replace(' ', '', $dayLabel)) ?>" data-toggle="pill">
                                    <?= $dayLabel ?>
                                    <span><?= date('jS F', strtotime($events[0]['schedule_date'])) ?></span>
                                </a>
                                <?php $firstDay = false; ?>
                            </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                </div>
                <div class="col-lg-10">
                    <div class="schedule-contents">
                        <div class="tab-content" id="pills-tabContent">
                            <?php foreach ($scheduleByDay as $dayLabel => $events): ?>
                            <div class="tab-pane fade <?= $dayLabel === 'Day-01' ? 'show active' : '' ?> schedule-item"
                                id="<?= strtolower(str_replace(' ', '', $dayLabel)) ?>">
                                <!-- Headings -->
                                <ul class="m-0 p-0">
                                    <li class="headings text-center">
                                        <div class="time">Time</div>
                                        <div class="subject">Subject</div>
                                        <div class="speaker">Activity</div>
                                        <div class="venue">Venue</div>
                                    </li>
                                    <!-- Schedule Details -->
                                    <?php foreach ($events as $event): ?>
                                    <li class="schedule-details text-center">
                                        <div class="block">
                                            <!-- time -->
                                            <div class="time">
                                                <span class="time">
                                                    <?= date('g:iA', strtotime($event['start_time'])) ?> -
                                                    <?= date('g:iA', strtotime($event['end_time'])) ?>
                                                </span>
                                            </div>

                                            <!-- Activity -->
                                            <div class="speaker">
                                                <span class="name"><?= htmlspecialchars($event['activity']) ?></span>
                                            </div>
                                            <!-- Subject -->
                                            <div class="subject"><?= htmlspecialchars($event['subject']) ?></div>
                                            <!-- Venue -->
                                            <div class="venue"><?= htmlspecialchars($event['venue']) ?></div>
                                        </div>
                                    </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                            <?php endforeach; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    </div>
    <!--====  End of Schedule  ====-->

    <!--==================================
=            Registration            =
===================================-->
    <p id="TISection"></p>
    <section class="registration">
        <div class="container-fuild p-0">
            <div class="row">
                <div class="col-lg-6 col-md-12 p-0">
                    <div class="service-block bg-service overlay-primary text-center">
                        <div class="row no-gutters" style="color:white;">
                            <div class="col-6">
                                <!-- Service item -->
                                <div class="service-item">
                                    <i class="fa fa-microphone"></i>
                                    <h5>10+ Speakers</h5>
                                </div>
                            </div>
                            <div class="col-6">
                                <!-- Service item -->
                                <div class="service-item">
                                    <i class="fa fa-flag"></i>
                                    <h5>300+ Seats</h5>
                                </div>
                            </div>
                            <div class="col-6">
                                <!-- Service item -->
                                <div class="service-item">
                                    <i class="fa fa-user"></i>
                                    <h5>1 Great Teacher (JESUS)</h5>
                                </div>
                            </div>
                            <div class="col-6">
                                <!-- Service item -->
                                <div class="service-item">
                                    <i class="fa fa-calendar"></i>
                                    <h5>3 days event</h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-6 col-md-12 p-0">
                    <div class="registration-block bg-registration overlay-dark">
                        <div class="block">
                            <div class="title text-left">
                                <h3>Register for The Co-ordinators Conference</h3>
                                <p style="color: white">Reserve Your Seat Now for DTCE National Junior Church
                                    Co-ordinators Conference</p>
                            </div>
                            <form action="register.php" class="row">
                                <div class="col-md-6">
                                    <input type="text" class="form-control main" name="fullname"
                                        placeholder="Your Full Name" required>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <select class="form-control main" id="region-select" name="region" required>
                                            <option value="">Select Region</option>
                                            <!-- Add your region options here -->
                                            <option value="1">Region 1</option>
                                            <option value="2">Region 2</option>
                                            <option value="3">Region 3</option>
                                            <option value="4">Region 4</option>
                                            <option value="5">Region 5</option>
                                            <option value="6">Region 6</option>
                                            <option value="7">Region 7</option>
                                            <option value="8">Region 8</option>
                                            <option value="9">Region 9</option>
                                            <option value="10">Region 10</option>
                                            <option value="11">Region 11</option>
                                            <option value="12">Region 12</option>
                                            <option value="13">Region 13</option>
                                            <option value="14">Region 14</option>
                                            <option value="15">Region 15</option>
                                            <option value="16">Region 16</option>
                                            <option value="17">Region 17</option>
                                            <option value="18">Region 18</option>
                                            <option value="19">Region 19</option>
                                            <option value="20">Region 20</option>
                                            <option value="21">Region 21</option>
                                            <option value="22">Region 22</option>
                                            <option value="23">Region 23</option>
                                            <option value="24">Region 24</option>
                                            <option value="25">Region 25</option>
                                            <option value="26">Region 26</option>
                                            <option value="27">Region 27</option>
                                            <option value="28">Region 28</option>
                                            <option value="29">Region 29</option>
                                            <option value="30">Region 30</option>
                                            <option value="31">Region 31</option>
                                            <option value="32">Region 32</option>
                                            <option value="33">Region 33</option>
                                            <option value="34">Region 34</option>
                                            <option value="35">Region 35</option>
                                            <option value="36">Region 36</option>
                                            <option value="37">Region 37</option>
                                            <option value="38">Region 38</option>
                                            <option value="39">Region 39</option>
                                            <option value="40">Region 40</option>
                                            <option value="41">Region 41</option>
                                            <option value="42">Region 42</option>
                                            <option value="43">Region 43</option>
                                            <option value="44">Region 44</option>
                                            <option value="45">Region 45</option>
                                            <option value="46">Region 46</option>
                                            <option value="47">Region 47</option>
                                            <option value="48">Region 48</option>
                                            <option value="49">Region 49</option>
                                            <option value="50">Region 50</option>
                                            <option value="51">Region 51</option>
                                            <option value="Redemption City">Redemption City</option>
                                            <option value="National Headquarters ">National Headquarters</option>
                                            <option value="Continental 1 Headquarters">Continental 1 Headquarters
                                            </option>
                                            <option value="Continental 2 Headquarters">Continental 2 Headquarters
                                            </option>
                                            <option value="Continental 3 Headquarters">Continental 3 Headquarters
                                            </option>
                                            <!-- Continue adding regions as needed -->
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <select class="form-control main" id="select-gender" name="gender" required>
                                            <option value="">Gender</option>
                                            <option value="Male">Male</option>
                                            <option value="Female">Female</option>
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <select class="form-control main" id="select-position" name="position" required>
                                            <option value="">Select Position</option>
                                            <option value="Country Coordinator">Country Coordinator</option>
                                            <option value="Asst. Country Coordinator">Asst. Country Coordinator</option>
                                            <option value="NAC">NAC</option>
                                            <option value="NEC">NEC</option>
                                            <option value="NWC">NWC</option>
                                            <option value="Regional Coordinator">Regional Coordinator</option>
                                            <option value="Asst. Regional Coordinator (Children)">Asst. Regional
                                                Coordinator (Children)</option>
                                            <option value="Asst. Regional Coordinator (Teens)">Asst. Regional
                                                Coordinator (Teens)</option>
                                            <option value="Provincial Coordinator">Provincial Coordinator</option>
                                            <option value="Asst. Provincial Coordinator (Children)">Asst. Provincial
                                                Coordinator (Children)</option>
                                            <option value="Asst. Provincial Coordinator (Teens)">Asst. Provincial
                                                Coordinator (Teens)</option>
                                            <option value="Members of the Junior Church">Members of the Junior Church
                                            </option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <select class="form-control main" id="select-gender" name="amount_paid"
                                            required>
                                            <option value="">Ticket Type</option>
                                            <option value="50000">Physical</option>
                                            <option value="25000">Virtual</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <input type="text" class="form-control main" name="phone_number"
                                        placeholder="Phone Number" required>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <select class="form-control main" id="province-select" name="province" required
                                            style="display:none;">
                                            <option value="" disabled selected>Select Province</option>
                                            <!-- Provinces will be populated here dynamically -->
                                        </select>
                                    </div>
                                </div>
                                <div class="col-12">
                                    <button type="submit" class="btn btn-white-md">Register Now</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>


    <!--====  End of Registration  ====-->


    <!--===================================
=            Pricing Table            =
====================================-->

<?php
// Include the database connection
include 'conn.php';

// Fetch pricing data from the price_table
$query = "SELECT * FROM price_table";
$stmt = $conn->prepare($query);
$stmt->execute();
$pricingItems = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Check if there are any pricing items
if (count($pricingItems) > 0): ?>
    <section class="section pricing">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="section-title">
                        <h3>Get <span class="alternate">ticket</span></h3>
                        <p>Experience the Co-ordinators Conference without breaking the bank with our competitive and
                            inclusive ticket pricing options.</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <?php foreach ($pricingItems as $item): ?>
                    <div class="col-lg-4 col-md-6">
                        <!-- Pricing Item -->
                        <div class="pricing-item <?= ($item['id'] == 2) ? 'featured' : '' ?>">
                            <div class="pricing-heading">
                                <!-- Title -->
                                <div class="title">
                                    <h6><?= htmlspecialchars($item['title']) ?></h6>
                                </div>
                                <!-- Price -->
                                <div class="price">
                                    <h2><?= htmlspecialchars(number_format($item['price'], 2)) ?><span></span></h2>
                                    <p>/Person</p>
                                </div>
                            </div>
                            <div class="pricing-body">
                                <!-- Feature List -->
                                <ul class="feature-list m-0 p-0">
                                    <?php
                                    // Convert features from a comma-separated list to an array
                                    $features = explode(',', $item['features']);
                                    foreach ($features as $feature): ?>
                                        <li>
                                            <p><span class="fa fa-check-circle available"></span><?= htmlspecialchars(trim($feature)) ?></p>
                                        </li>
                                    <?php endforeach; ?>
                                </ul>
                            </div>
                            <div class="pricing-footer text-center">
                                <a href="<?= htmlspecialchars($item['button_url']) ?>" target="_blank" class="btn <?= ($item['id'] == 2) ? 'btn-main-md' : 'btn-transparent-md' ?>">
                                    <?= htmlspecialchars($item['button_text']) ?>
                                </a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>
        </div>
    </section>
<?php endif; ?>


    <!--====  End of Pricing Table  ====-->


    <!--===========================================
=            Call to Action Ticket            =
============================================-->

    <section class="cta-ticket bg-ticket overlay-dark">
        <div class="container">
            <div class="row">
                <div class="col-md-8">
                    <!-- Get ticket info -->
                    <div class="content-block">
                        <h2>Get Ticket <span style="color: white" ; class="alternate">Now!</span></h2>
                        <p><b>Channel: Online Payment/Offline Payment.</b></p>
                        <a href="#TISection" class="btn btn-main-md"><b>Buy ticket</b></a>
                    </div>
                </div>
            </div>
        </div>
        <div class="image-block"><img src="imagesconf/11th.png" alt="" width="500px" class="img-fluid"></div>
    </section>

    <!--====  End of Call to Action Ticket  ====-->
    <p id="SPSSection"></p>

    <!--==============================
=            Sponsors            =
===============================-->
    <?php
// Include your database connection
include 'conn.php'; 

// Fetch sponsors from the sponsors table
$query = "SELECT name, logo_path, website_url FROM sponsors"; 
$stmt = $conn->prepare($query);
$stmt->execute();
$sponsors = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Only display the section if there are sponsors
if (!empty($sponsors)): ?>
    <section class="sponsors section bg-sponsors overlay-white">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="section-title">
                        <h3>Our <span class="alternate">Sponsors</span></h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="block text-center">
                        <ul class="list-inline sponsors-list">
                            <?php foreach ($sponsors as $sponsor): ?>
                            <li class="list-inline-item sponsor-item"
                                onmouseover="showSponsorDetails('<?= htmlspecialchars($sponsor['name']) ?>', '<?= htmlspecialchars($sponsor['website_url']) ?>')"
                                onmouseout="hideSponsorDetails()">
                                <div class="image-block text-center">
                                    <a href="<?= htmlspecialchars($sponsor['website_url']) ?>" target="_blank">
                                        <img src="<?= htmlspecialchars($sponsor['logo_path']) ?>"
                                            alt="<?= htmlspecialchars($sponsor['name']) ?>-logo"
                                            class="img-fluid sponsor-logo">
                                    </a>
                                </div>
                            </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <!-- Sponsor Details Section -->
                    <div class="sponsor-details text-center">
                        <p id="sponsor-name"></p>
                        <a id="sponsor-website" href="#" target="_blank"></a>
                    </div>
                    <div class="sponsor-btn text-center">
                        <a href="#" class="btn btn-main-md" data-toggle="modal" data-target="#becomeSponsorModal">Become
                            a sponsor</a>
                    </div>
                </div>
            </div>
        </div>
    </section>
<!-- Modal for Becoming a Sponsor -->
<div class="modal fade" id="becomeSponsorModal" tabindex="-1" role="dialog" aria-labelledby="becomeSponsorModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="becomeSponsorModalLabel">Become a Sponsor</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="sponsorForm">
                <div class="modal-body">
                    <div class="form-group">
                        <label for="sponsorName">Sponsor Name</label>
                        <input type="text" class="form-control" id="sponsorName" name="name" required>
                    </div>
                    <div class="form-group">
                        <label for="sponsorLogo">Logo URL</label>
                        <input type="text" class="form-control" id="sponsorLogo" name="logo_path" required>
                    </div>
                    <div class="form-group">
                        <label for="sponsorWebsite">Website URL</label>
                        <input type="url" class="form-control" id="sponsorWebsite" name="website_url" required>
                    </div>
                    <div class="form-group">
                        <label for="sponsorEmail">Email</label>
                        <input type="email" class="form-control" id="sponsorEmail" name="email" required>
                    </div>
                    <div class="form-group">
                        <label for="sponsorPhone">Phone Number</label>
                        <input type="text" class="form-control" id="sponsorPhone" name="phone_number" required>
                    </div>
                    <div class="form-group">
                        <label for="sponsorDescription">Description</label>
                        <textarea class="form-control" id="sponsorDescription" name="description" rows="3" placeholder="Tell us more about your organization" required></textarea>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">Submit</button>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </form>
        </div>
    </div>
</div>
    <script>
    // Function to show sponsor details when hovering over a sponsor
    function showSponsorDetails(name, website) {
        document.getElementById('sponsor-name').textContent = name;
        const sponsorWebsite = document.getElementById('sponsor-website');
        sponsorWebsite.textContent = website;
        sponsorWebsite.href = website;
        document.querySelector('.sponsor-details').style.display = 'block';
    }

    // Function to hide sponsor details when the mouse leaves
    function hideSponsorDetails() {
        document.getElementById('sponsor-name').textContent = '';
        document.getElementById('sponsor-website').textContent = '';
        document.getElementById('sponsor-website').href = '#';
        document.querySelector('.sponsor-details').style.display = 'none';
    }
    </script>
    
    <style>
    .sponsor-item {
        position: relative;
        margin: 15px;
    }

    .sponsor-logo {
        transition: transform 0.2s;
    }

    .sponsor-item:hover .sponsor-logo {
        transform: scale(1.1);
    }

    .sponsor-details {
        display: none;
        margin-top: 20px;
    }

    .sponsor-details p {
        font-size: 18px;
        font-weight: bold;
    }

    .sponsor-details a {
        font-size: 16px;
        color: #007bff;
        text-decoration: underline;
        cursor: pointer;
    }
    </style>

    <?php endif; ?>


    <!--====  End of Sponsors  ====-->


    <!--=============================
=            Gallery            =
==============================-->
    <section class="gallery-full section pb-0">
        <div class="container-fluid p-0">
            <div class="row">
                <div class="col-12">
                    <div class="section-title">
                        <h3>Our <span class="alternate">Gallery</span></h3>
                        <p>...relive special moments of Past Co-ordinators Conference Activities</p>
                    </div>
                </div>
            </div>
            <div class="row no-gutters" id="gallery-container">
                <!-- Gallery Images will be loaded here by JavaScript -->
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="pagination-container" id="pagination-container">
                        <!-- Pagination buttons will be loaded here by JavaScript -->
                    </div>
                </div>
            </div>
        </div>
    </section>


    <script>
    document.addEventListener('DOMContentLoaded', function() {
        loadGallery(1); // Load the first page initially

        // Load gallery images and videos with AJAX
        function loadGallery(page) {
            fetch('gallery.php?page=' + page)
                .then(response => response.json())
                .then(data => {
                    const container = document.getElementById('gallery-container');
                    const pagination = document.getElementById('pagination-container');
                    container.innerHTML = data.items;
                    pagination.innerHTML = data.pagination;
                });
        }

        // Handle pagination click
        document.getElementById('pagination-container').addEventListener('click', function(e) {
            if (e.target && e.target.matches('.pagination-link')) {
                e.preventDefault();
                const page = e.target.getAttribute('data-page');
                loadGallery(page);
            }
        });

        // Initialize video modal

    });
    </script>


    <!--====  End of Gallery  ====-->

    <!--================================
=            News Posts            =
=================================-->

<?php
// Include your database connection
include 'conn.php';

// Pagination settings
$newsPerPage = 6;
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
$offset = ($page - 1) * $newsPerPage;

// Fetch news from the confnews table
$query = "SELECT id, title, summary, image_path, posted_by, date_posted, views, comments_count FROM confnews ORDER BY date_posted DESC LIMIT :offset, :newsPerPage";
$stmt = $conn->prepare($query);
$stmt->bindValue(':offset', $offset, PDO::PARAM_INT);
$stmt->bindValue(':newsPerPage', $newsPerPage, PDO::PARAM_INT);
$stmt->execute();
$newsItems = $stmt->fetchAll(PDO::FETCH_ASSOC);

// Count total number of news items
$totalQuery = "SELECT COUNT(*) AS total FROM confnews";
$totalStmt = $conn->prepare($totalQuery);
$totalStmt->execute();
$totalRows = $totalStmt->fetch(PDO::FETCH_ASSOC)['total'];
$totalPages = ceil($totalRows / $newsPerPage);
?>

<!-- News Section -->
<section class="news section">
    <div class="container">
        <?php if (!empty($newsItems)): ?>
            <div class="row">
                <div class="col-12">
                    <div class="section-title">
                        <h3>Conference <span class="alternate">News</span></h3>
                        <p>Stay up to date with recent developments and activities of the National Conference</p>
                    </div>
                </div>
            </div>
            <div class="row">
                <?php foreach ($newsItems as $news): ?>
                    <div class="col-lg-4 col-md-6 col-sm-8 col-10 m-auto">
                        <div class="blog-post">
                            <div class="post-thumb">
                                <a href="#" class="read-more-btn" data-toggle="modal" data-target="#newsModal" data-id="<?= htmlspecialchars($news['id']) ?>">
                                    <img src="<?= htmlspecialchars($news['image_path']) ?>" alt="post-image" class="img-fluid">
                                </a>
                            </div>
                            <div class="post-content">
                                <div class="date">
                                <h4><?= date('d', strtotime($news['date_posted'])) ?><span><?= date('M', strtotime($news['date_posted'])) ?></span></h4>

                                </div>
                                <div class="post-title">
                                    <h2><a href="#" class="read-more-btn" data-toggle="modal" data-target="#newsModal" data-id="<?= htmlspecialchars($news['id']) ?>"><?= htmlspecialchars($news['title']) ?></a></h2>
                                </div>
                                <div class="post-meta">
                                    <ul class="list-inline">
                                        <li class="list-inline-item">
                                            <i class="fa fa-user-o"></i>
                                            <a><?= htmlspecialchars($news['posted_by']) ?: 'DTCE' ?></a>
                                        </li>
                                        <li class="list-inline-item">
                                            <i class="fa fa-heart-o"></i>
                                            <a class="news-views"><?= htmlspecialchars($news['views']) ?></a>
                                        </li>
                                        <li class="list-inline-item">
                                            <i class="fa fa-comments-o"></i>
                                            <a class="news-comments"><?= htmlspecialchars($news['comments_count']) ?></a>
                                        </li>
                                    </ul>
                                </div>
                                <a href="#" class="btn btn-primary read-more-btn" data-toggle="modal" data-target="#newsModal" data-id="<?= htmlspecialchars($news['id']) ?>">Read More</a>
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div>

            <!-- Pagination -->
            <nav aria-label="Page navigation">
                <ul class="pagination justify-content-center">
                    <?php for ($i = 1; $i <= $totalPages; $i++): ?>
                        <li class="page-item <?= $i === $page ? 'active' : '' ?>">
                            <a class="page-link" href="?page=<?= $i ?>" style="<?= $i === $page ? 'background-color: #007bff; color: white;' : '' ?>">
                                <?= $i ?>
                            </a>
                        </li>
                    <?php endfor; ?>
                </ul>
            </nav>
        <?php else: ?>
            <!-- No news available message -->
            <p style="text-align:center;">No news available at the moment.</p>
        <?php endif; ?>
    </div>
</section>

<!-- News Modal -->
<div class="modal fade" id="newsModal" tabindex="-1" role="dialog" aria-labelledby="newsModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="newsModalLabel"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- News content will be loaded dynamically via AJAX -->
                <div id="newsModalContent">
                    <img src="" alt="post-image" id="newsImage" class="img-fluid">
                    <p id="newsSummary"></p>
                    <p id="newsFullText"></p>

                    <!-- Comments count -->
                    <p><i class="fa fa-comments"></i> <span id="commentsCount"></span> comments</p>

                    <!-- Comments section -->
                    <div id="newsComments"></div>

                    <!-- Comment form -->
                    <form id="commentForm" action="save_comment.php" method="post">
                        <input type="hidden" name="id" id="newsIdForComments" value="">
                        <div class="form-group">
                            <label for="comment">Add Comment</label>
                            <textarea class="form-control" name="comment" id="comment" rows="3" required></textarea>
                        </div>
                        <button type="submit" class="btn btn-primary">Submit Comment</button>
                    </form>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>



    <!--====  End of News Posts  ====-->





    <!--================================
=            Google Map            =
=================================-->

    <section class="map new">
        <!-- Google Map -->
        <iframe class="position-relative rounded w-100 h-100"
            src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d3961.630204191461!2d3.457528!3d6.814753!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x103bc129a663da47%3A0x3cd976d2cdf8d08!2sRCCG%20DTCE!5e0!3m2!1sen!2sus!4v1697046143883!5m2!1sen!2sus"
            frameborder="0" style="min-height: 400px; border: 0" allowfullscreen="" aria-hidden="false"
            tabindex="0"></iframe>
        <div class="address-block">
            <h4>Toddlers Hall, Glory Arena, Glory Arena</h4>
            <ul class="address-list p-0 m-0">
                <li><i class="fa fa-home"></i><span>Redemption City, Mowe, Ogun State, Nigeria.</span></li>
                <li><i class="fa fa-phone"></i><span>07036161006, 08108056145030, 08022231686</span></li>
            </ul>

        </div>

    </section>

    <!--====  End of Google Map  ====-->
    <p id="COSection"></p>
<!-- Modal HTML -->
<div class="modal fade" id="registrationModal" tabindex="-1" role="dialog" aria-labelledby="registrationModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="registrationModalLabel">Registration Details</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <!-- Warning Section -->
                <div class="alert alert-warning" role="alert">
                    <strong>Important:</strong> Please copy your registration number or screenshot it, or better save it in a safe place as you will need it to log in to your dashboard.
                </div>
                <p id="registrationNumber"></p>
                <p><strong>Full Name:</strong> <span id="modalFullname"></span></p>
                <p><strong>Region:</strong> <span id="modalRegion"></span></p>
                <p><strong>Gender:</strong> <span id="modalGender"></span></p>
                <p><strong>Position:</strong> <span id="modalPosition"></span></p>
                <p><strong>Amount Paid:</strong> <span id="modalAmountPaid"></span></p>
                <p><strong>Phone Number:</strong> <span id="modalPhoneNumber"></span></p>
                <p><strong>Province:</strong> <span id="modalProvince"></span></p>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary" id="copyButton">Copy Registration Number</button>
                    <!-- <button type="button" class="btn btn-info" id="printButton">Print</button> -->
                </div>
            </div>
        </div>
    </div>
</div>


    <!-- WhatsApp Floating Button -->
    <a href="https://wa.me/2347036161006" id="whatsapp-icon" target="_blank">
        <i class="fa fa-whatsapp"></i>
        <!-- Ripple Effect Container -->
        <span class="ripple"></span>
    </a>

    <!--============================
=            Footer            =
=============================-->

    <footer class="footer-main">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="block text-center">
                        <div class="footer-logo">
                            <img src="imagesconf/dtce.png" alt="logo" class="img-fluid">
                        </div>
                        <ul class="social-links-footer list-inline">
                            <li class="list-inline-item">
                                <a href="https://facebook.com/dtcerccg" target="_blank"><i
                                        class="fa fa-facebook"></i></a>
                            </li>
                            <li class="list-inline-item">
                                <a href="https://twitter.com/rccgdtce" target="_blank"><i class="fa fa-twitter"></i></a>
                            </li>
                            <li class="list-inline-item">
                                <a href="https://instagram.com/company/rccgdtce" target="_blank"><i
                                        class="fa fa-instagram"></i></a>
                            </li>
                            <li class="list-inline-item">
                                <a href="mailto:rccgdtce@gmail.com" target="_blank"><i
                                        class="fa fa-envelope-open"></i></a>
                            </li>
                            <li class="list-inline-item">
                                <a href="index.php" target="_blank"><i class="fa fa-home"></i></a>
                            </li>
                            <li class="list-inline-item">
                                <a href="tel:+2347036161006" target="_blank"><i class="fa fa-phone"></i></a>
                            </li>
                        </ul>
                    </div>

                </div>
            </div>
        </div>
    </footer>
    <!-- Subfooter -->
    <footer class="subfooter">
        <div class="container">
            <div class="row">
                <div class="col-md-6 align-self-center">
                    <div class="copyright-text">
                        <p><a style="color: #007bff" href="index-2.html">RCCG DTCE</a> &copy; <span
                                id="currentYear"></span></p>
                    </div>
                </div>

                <div class="col-md-6">
                    <a href="#" class="to-top"><i class="fa fa-angle-up"></i></a>
                </div>
            </div>
        </div>
    </footer>


    </footer>
    <!-- Scroll Up -->


    <!-- JS here -->

    <script>
    $('a[href*="#"]').on('click', function(e) {
        e.preventDefault();

        $('html, body').animate({
                scrollTop: $($(this).attr('href')).offset().top,
            },
            1000,
            'linear'
        );
    });
    </script>
    <script>
    document.getElementById('whatsapp-icon').addEventListener('click', function(e) {
        var ripple = this.querySelector('.ripple');
        ripple.style.width = ripple.style.height = Math.max(this.clientWidth, this.clientHeight) + 'px';
        ripple.style.left = `${e.clientX - this.getBoundingClientRect().left - ripple.offsetWidth / 2}px`;
        ripple.style.top = `${e.clientY - this.getBoundingClientRect().top - ripple.offsetHeight / 2}px`;
        ripple.classList.remove('ripple-animation');
        void ripple.offsetWidth; // Trigger reflow to restart animation
        ripple.classList.add('ripple-animation');
    });
    </script>
    <script>
    // Get all the navigation links
    const navLinks = document.querySelectorAll('.nav-link');

    // Listen for scroll events
    window.addEventListener('scroll', () => {
        // Get the current scroll position
        const scrollPos = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop ||
            0;

        // Loop through each section to check if it's in view
        for (let i = 0; i < navLinks.length; i++) {
            const section = document.querySelector(navLinks[i].hash);
            const sectionTop = section.offsetTop;
            const sectionHeight = section.offsetHeight;

            // Check if the section is in view
            if (scrollPos >= sectionTop && scrollPos < (sectionTop + sectionHeight)) {
                // Add the active class to the navigation link
                navLinks[i].classList.add('active');
            } else {
                // Remove the active class from the navigation link
                navLinks[i].classList.remove('active');
            }
        }
    });
    </script>

    <script>
    document.addEventListener('DOMContentLoaded', function() {
        // Get the current year
        const currentYear = new Date().getFullYear();

        // Set the current year in the footer
        document.getElementById('currentYear').textContent = currentYear;
    });
    </script>

    <!-- JAVASCRIPTS -->
    <!-- jQuey -->
    <script src="pluginsconf/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="pluginsconf/bootstrap/bootstrap.min.js"></script>
    <!-- Shuffle -->
    <script src="pluginsconf/shuffle/shuffle.min.js"></script>
    <!-- Magnific Popup -->
    <script src="pluginsconf/magnific-popup/jquery.magnific-popup.min.js"></script>
    <!-- Slick Carousel -->
    <script src="pluginsconf/slick/slick.min.js"></script>
    <!-- SyoTimer -->
    <script src="pluginsconf/syotimer/jquery.syotimer.min.js"></script>
    <!-- Google Mapl -->
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCcABaamniA6OL5YvYSpB3pFMNrXwXnLwU"></script>
    <script src="pluginsconf/google-map/gmap.js"></script>
    <!-- jQuery and Bootstrap JS -->


    <!-- Bootstrap JavaScript -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <!-- jQuery -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    


    <!-- Custom Script -->
    <script src="jsconf/script.js"></script>

    <script>
    // Function to scroll smoothly to the top of the page
    function scrollToTop() {
        window.scroll({
            top: 0,
            behavior: 'smooth'
        });
    }

    // Show/hide scroll-up button based on scroll position
    window.onscroll = function() {
        showScrollUpButton();
    };

    function showScrollUpButton() {
        var scrollUpBtn = document.getElementById("scrollUpBtn");
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            scrollUpBtn.style.display = "block";
        } else {
            scrollUpBtn.style.display = "none";
        }
    }

    // Attach smooth scrolling behavior to your existing button
    document.getElementById("scrollUpBtn").addEventListener("click", function(event) {
        event.preventDefault();
        scrollToTop();
    });
    </script>


    <script>
    // Function to scroll smoothly with an animated delay to the target section
    function scrollWithDelay() {
        const targetSection = document.getElementById("targetSection");

        if (targetSection) {
            // Add a delay of 500 milliseconds (adjust as needed)
            setTimeout(function() {
                targetSection.scrollIntoView({
                    behavior: 'smooth'
                });
            }, 500);
        }
    }
    </script>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
        var regionSelect = document.getElementById('region-select');
        var provinceSelect = document.getElementById('province-select');

        // Hide province field initially
        provinceSelect.style.display = 'none';

        regionSelect.addEventListener('change', function() {
            var region = this.value;

            if (region) {
                fetch('fetch_provinces.php?region=' + encodeURIComponent(region))
                    .then(response => response.json())
                    .then(data => {
                        // Show the province select box
                        provinceSelect.style.display = 'block';

                        // Clear the previous options
                        provinceSelect.innerHTML = '';

                        // Add a default option
                        var defaultOption = document.createElement('option');
                        defaultOption.textContent = 'Select Province';
                        defaultOption.value = '';
                        provinceSelect.appendChild(defaultOption);

                        // Check if data is returned and populate the dropdown
                        if (data.length) {
                            data.forEach(function(province) {
                                var option = document.createElement('option');
                                option.value = province.province;
                                option.textContent = province.province;
                                provinceSelect.appendChild(option);
                            });
                        } else {
                            var option = document.createElement('option');
                            option.textContent = 'No provinces available';
                            provinceSelect.appendChild(option);
                        }
                    })
                    .catch(error => console.error('Error fetching provinces:', error));
            } else {
                // Hide the province select box if no region is selected
                provinceSelect.style.display = 'none';
                provinceSelect.innerHTML = '';
            }
        });
    });
    </script>
    <script>
    document.addEventListener('DOMContentLoaded', function() {
        var form = document.querySelector('form');
        form.addEventListener('submit', function(e) {
            e.preventDefault(); // Prevent default form submission

            var formData = new FormData(form);

            fetch('register.php', {
                    method: 'POST',
                    body: formData
                })
                .then(response => response.json())
                .then(data => {
                    if (data.success) {
                        // Populate modal with registration details
                        document.getElementById('registrationNumber').textContent =
                            'Registration Number: ' + data.registration_number;
                        document.getElementById('modalFullname').textContent = data.fullname;
                        document.getElementById('modalRegion').textContent = data.region;
                        document.getElementById('modalGender').textContent = data.gender;
                        document.getElementById('modalPosition').textContent = data.position;
                        document.getElementById('modalAmountPaid').textContent = data.amount_paid;
                        document.getElementById('modalPhoneNumber').textContent = data.phone_number;
                        document.getElementById('modalProvince').textContent = data.province;

                        // Show the modal
                        $('#registrationModal').modal('show');
                    } else {
                        alert('Registration failed: ' + data.message);
                    }
                })
                .catch(error => console.error('Error:', error));
        });
    });
    </script>
   <script>
    document.getElementById('copyButton').addEventListener('click', function() {
        // Get the registration number text
        var registrationNumber = document.getElementById('registrationNumber').innerText;

        // Create a temporary textarea element
        var tempInput = document.createElement('textarea');
        tempInput.value = registrationNumber;
        document.body.appendChild(tempInput);
        
        // Select and copy the text
        tempInput.select();
        document.execCommand('copy');
        
        // Remove the temporary element
        document.body.removeChild(tempInput);
        
        // Alert the user
        alert('Registration number copied to clipboard!');
    });

    document.getElementById('printButton').addEventListener('click', function() {
        // Get the content of the modal body
        var modalBodyContent = document.querySelector('.modal-body').innerHTML;

        // Open a new window for printing
        var printWindow = window.open('', '', 'height=600,width=800');
        printWindow.document.open();
        printWindow.document.write('<html><head><title>Print</title>');
        printWindow.document.write('<style>body { font-family: Arial, sans-serif; }</style>'); // Optional: Add some basic styling
        printWindow.document.write('</head><body >');
        printWindow.document.write(modalBodyContent);
        printWindow.document.write('</body></html>');
        printWindow.document.close();
        printWindow.focus();
        printWindow.print();
    });
</script>


    <!-- Modal and JavaScript below -->
    <!-- <div id="videoModal" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Video</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="embed-responsive embed-responsive-16by9">
                    <iframe id="videoFrame" class="embed-responsive-item" src="" allowfullscreen></iframe>
                </div>
            </div>
        </div>
    </div>
</div> -->

    <!-- <script>
    $(document).ready(function() {
        $('.video-link').click(function(event) {
            event.preventDefault();
            var videoSrc = $(this).data("video-src");
            $('#videoFrame').attr('src', videoSrc);
            $('#videoModal').modal('show');
        });

        $('#videoModal').on('hidden.bs.modal', function () {
            $('#videoFrame').attr('src', '');
        });
    });
</script> -->
<script>
    $(document).ready(function() {
        $('#sponsorForm').on('submit', function(e) {
            e.preventDefault();
            
            $.ajax({
                url: 'save_sponsor.php', // URL of the PHP script to handle form submission
                type: 'POST',
                data: $(this).serialize(),
                success: function(response) {
                    var res = JSON.parse(response);
                    if (res.status === 'success') {
                        alert(res.message); // Show success message
                        $('#becomeSponsorModal').modal('hide'); // Hide the modal
                        $('#sponsorForm')[0].reset(); // Reset the form
                    } else {
                        alert(res.message); // Show error message
                    }
                },
                error: function() {
                    alert('There was an error submitting your sponsorship request.');
                }
            });
        });
    });
</script>
<script>
  $(document).ready(function() {
    // Event listener for the modal open button
    $('.read-more-btn').on('click', function() {
        var newsId = $(this).data('id');
        
        // Make an AJAX request to fetch the news details
        $.ajax({
            url: 'fetch_news_details.php',  // A PHP file to fetch news content by ID
            method: 'GET',
            data: { id: newsId },
            dataType: 'json',
            success: function(response) {
                // Populate the modal with the news content
                $('#newsModalLabel').text(response.title);
                $('#newsImage').attr('src', response.image_path);
                $('#newsSummary').text(response.summary);
                $('#newsFullText').text(response.content);
                $('#commentsCount').text(response.comments_count);
                
                // Clear old comments and append new ones
                $('#newsComments').empty();
                response.comments.forEach(function(comment) {
                    $('#newsComments').append('<p>' + comment + '</p>');
                });
                
                // Set the hidden input for comment form
                $('#newsIdForComments').val(newsId);
            }
        });
    });
});

</script>


</body>



</html>